Retrieve a session
curl --request GET \
--url https://api.facesign.ai/sessions/{sessionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.facesign.ai/sessions/{sessionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.facesign.ai/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session": {
"id": "<string>",
"createdAt": 123,
"settings": {
"clientReferenceId": "user-123",
"modules": [
{
"type": "emailVerification",
"name": "<string>",
"email": "<string>",
"publicRecognitionEnabled": true
}
],
"metadata": {
"source": "web-app",
"department": "sales"
},
"initialPhrase": "<string>",
"finalPhrase": "<string>",
"providedData": {},
"avatarId": "<string>",
"langs": [
"en",
"es",
"fr"
],
"defaultLang": "en",
"flow": [
{
"id": "<string>",
"type": "start",
"outcome": "<string>"
}
]
},
"startedAt": 123,
"finishedAt": 123,
"version": "<string>",
"report": {
"transcript": [
{
"id": "<string>",
"createdAt": 123,
"text": "<string>",
"isAvatar": true
}
],
"aiAnalysis": {
"ageMin": 123,
"ageMax": 123,
"overallSummary": "<string>",
"analysis": [
{
"title": "<string>",
"shortDescription": "<string>",
"longDescription": "<string>"
}
]
},
"location": {},
"device": {},
"livenessDetected": true,
"lang": "<string>",
"extractedData": {},
"screenshots": [
"<string>"
],
"videos": {
"avatarVideoUrl": "<string>",
"userVideoUrl": "<string>"
},
"isVerified": true
}
},
"clientSecret": {
"secret": "<string>",
"createdAt": 123,
"expireAt": 123,
"url": "<string>"
}
}{
"error": {
"type": "authentication_error",
"message": "Invalid API key provided"
}
}{
"error": {
"type": "not_found_error",
"message": "Session not found"
}
}{
"error": {
"type": "rate_limit_error",
"message": "Rate limit exceeded"
}
}Endpoints
Retrieve a session
Get details and status of a specific verification session
GET
/
sessions
/
{sessionId}
Retrieve a session
Authorizations
API key authentication. Use format "Bearer sk_live_..." or "Bearer sk_test_..."
Path Parameters
The session ID
⌘I